package net.northking.cctp.se;

import net.northking.cctp.se.component.LibraryUpdateSchedule;
import net.northking.cctp.se.plan.servcie.EnginePlanInfoService;
import net.northking.cctp.se.util.SpringUtils;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * <p>Title: EngineRunner</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/13 15:43
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
@Component
public class EngineRunner implements ApplicationRunner {
    @Override
    public void run(ApplicationArguments args) throws Exception {
        SpringUtils.getBean(LibraryUpdateSchedule.class).libUpdate();
        SpringUtils.getBean(EnginePlanInfoService.class).uploadFinishedFile();

    }
}
