package net.northking.cctp.se.script.bean;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 脚本资源对象
 * @author xuyang.wang
 */
@Data
public class ScriptResource implements Serializable {
    /**
     * 资源ID
     */
    private String resId;
    /**
     * 资源版本
     */
    private String resVersion;
    /**
     * 资源地址
     */
    private String resUri;
    /**
     * 资源类型
     */
    private String resType;

    /**
     * 资源名称
     */
    private String resName;

    /**
     * 资源扩展信息
     */
    private Map<String,String> resExt;

}
