/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.dao;

import net.northking.cctp.scriptcase.db.entity.LibraryBusComInfo;
import net.northking.cctp.scriptcase.db.entity.LibraryBusComTree;
import net.northking.cctp.scriptcase.db.mapper.LibraryBusComTreeMapper;
import net.northking.cctp.scriptcase.dto.comLib.LibraryBusComTreeDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：业务组件库目录树
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 10:53:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface LibraryBusComTreeDao extends LibraryBusComTreeMapper
{
    int updateChildNamePath(@Param(value = "tree") LibraryBusComTree updateChild, @Param(value = "newPath") String namePathNew);

    List<LibraryBusComTreeDetailDto> findChildTreeList(LibraryBusComTree entity);

    void updateChildIdPath(@Param(value = "tree")LibraryBusComTree childUp, @Param(value = "newPath")String idPath);

    List<String> getChildTreeIds(LibraryBusComTree tree);

    List<String> getComTreePathByLib(@Param(value = "tree")LibraryBusComInfo comQuery,@Param(value = "types") List<Integer> types);

    List<LibraryBusComTree> findComTreeListLike(@Param(value = "tree")LibraryBusComInfo comQueryBus,@Param(value = "ids") List<Object> keys);
}
