/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.scriptcase.db.entity.BusComponentTree;

/**
 * Mybatis数据库持久层（底层）：业务组件目录树
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2022-09-29 10:56:29  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BusComponentTreeMapper extends BasicDao<BusComponentTree>
{
  String EntityName = "BusComponentTree";

  String COLUMN_id = "id";
  String COLUMN_treeName = "tree_name";
  String COLUMN_projectId = "project_id";
  String COLUMN_parentId = "parent_id";
  String COLUMN_levelNo = "level_no";
  String COLUMN_idPath = "id_path";
  String COLUMN_isLeaf = "is_leaf";
  String COLUMN_memo = "memo";
  String COLUMN_namePath = "name_path";
  String COLUMN_orderSeq = "order_seq";
  String COLUMN_isDeleted = "is_deleted";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";

}
