/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.scriptcase.db.entity.AtuSceneNodeInfo;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInfo;

import java.util.List;

/**
 * 场景节点信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-01-31 17:10:50  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuSceneNodeInfoService extends BasicService<AtuSceneNodeInfo>
{

  List<AtuScriptInfo> queryScriptType(List<String> sceneId);

  List<AtuSceneNodeInfo> queryNodeByScriptId(List<String> ids);



}
