package net.northking.cctp.upperComputer.constants;

/**
 * 基本定义常量
 */
public interface BaseDefineDependencyConstants {

    /**
     * 接口返回值（系统）
     */
    String SYSTEM_RESPONSE_CODE_SUCCESS = "success"; // 成功
    String SYSTEM_RESPONSE_CODE_FAIL = "fail"; // 失败
    String SYSTEM_RESPONSE_CODE_ERROR = "error"; // 程序错误
    String SYSTEM_RESPONSE_CODE_WARN = "warn"; // 提示
    String SYSTEM_RESPONSE_CODE_UN_LOGIN = "unLogin"; // 没有登录信息
    String SYSTEM_RESPONSE_CODE_SNOW_WOLF_UN_LOGIN = "snowWolfUnLogin"; // 没有雪狼用户登录信息
    String SYSTEM_RESPONSE_CODE_UN_AUTH = "unAuth"; // 没有权限
    String SYSTEM_RESPONSE_CODE_UN_CHECKED = "unChecked"; // 表示参数校验失败
    String SYSTEM_RESPONSE_CODE_USER_UN_EQUALS = "userUnEquals"; // 用户不一致
    String SYSTEM_RESPONSE_CODE_PROJECT_UN_EXIST = "projectUnExist"; // 项目不存在

    /**
     * 接口返回值（业务）
     */
    String RESPONSE_CODE_INVALID = "invalid"; // 表示业务校验失败
    String RESPONSE_CODE_INVALID_REFRESH = "invalidRefresh"; // 表示业务校验失败，并刷新页面数据

}