CREATE TABLE `cp_demand_system` (
	`id` VARCHAR(32) NOT NULL COMMENT '主键' COLLATE 'utf8mb4_bin',
	`demand_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '需求id' COLLATE 'utf8mb4_general_ci',
	`system` VARCHAR(30) NULL DEFAULT NULL COMMENT '所属系统' COLLATE 'utf8mb4_general_ci',
	`created_by` VARCHAR(32) NULL DEFAULT NULL COMMENT '创建人' COLLATE 'utf8mb4_general_ci',
	`created_time` DATETIME NULL DEFAULT NULL COMMENT '创建时间',
	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8mb4_general_ci',
	PRIMARY KEY (`id`) USING BTREE
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin
COMMENT='需求所属系统';
