/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.testbug.db.entity.BugSearch;

/**
 * Mybatis数据库持久层（底层）：缺陷条件搜索表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2021-12-30 11:53:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugSearchMapper extends BasicDao<BugSearch>
{
  String EntityName = "BugSearch";

  String COLUMN_id = "id";
  String COLUMN_bugTitle = "bug_title";
  String COLUMN_bugGrade = "bug_grade";
  String COLUMN_bugType = "bug_type";
  String COLUMN_emergency = "emergency";
  String COLUMN_isReappear = "is_reappear";
  String COLUMN_bugStatus = "bug_status";
  String COLUMN_receiver = "receiver";
  String COLUMN_createdUser = "created_user";
  String COLUMN_createdDate = "created_date";
  String COLUMN_repairTime = "repair_time";
  String COLUMN_repairUser = "repair_user";
  String COLUMN_closeTime = "close_time";
  String COLUMN_errorMessage = "error_message";
  String COLUMN_message = "message";
  String COLUMN_expands = "expands";
  String COLUMN_roundId = "round_id";
  String COLUMN_moduleId = "module_id";
  String COLUMN_systemId = "system_id";
  String COLUMN_proId = "pro_id";
  String COLUMN_other = "other";
  String COLUMN_createdBy = "created_by";
  String COLUMN_createdTime = "created_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_schemeName = "scheme_name";
  String COLUMN_bugFrom = "bug_from";
  String COLUMN_recordType = "record_type";
  String COLUMN_userDefinedIdx1 = "USER_DEFINED_IDX1";
  String COLUMN_userDefinedIdx2 = "USER_DEFINED_IDX2";
  String COLUMN_userDefinedIdx3 = "USER_DEFINED_IDX3";
  String COLUMN_userDefinedIdx4 = "USER_DEFINED_IDX4";
  String COLUMN_userDefinedIdx5 = "USER_DEFINED_IDX5";
  String COLUMN_userDefinedIdx6 = "USER_DEFINED_IDX6";
  String COLUMN_userDefinedIdx7 = "USER_DEFINED_IDX7";
  String COLUMN_userDefinedIdx8 = "USER_DEFINED_IDX8";
  String COLUMN_userDefinedIdx9 = "USER_DEFINED_IDX9";
  String COLUMN_userDefinedIdx10 = "USER_DEFINED_IDX10";

}
