/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.mapper.MidProjectInfoMapper;
import net.northking.cctp.dw.dto.ProjectDataVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：系统信息中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-16 11:43:35  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface MidProjectInfoDao extends MidProjectInfoMapper
{
    void updateById(MidProjectInfo entity);

    void deleteByProjectIds(@Param("projectIds") List<String> projectIds);

    List<String> findByTenantId(@Param("tenantId") String tenantId);

    List<MidProjectInfo> findByProjectIds(@Param("midProjectInfos") List<MidProjectInfo> dataList);

    ProjectDataVo getFinishedProjectAmountByTenantId(@Param("tenantId") String tenantId,@Param("projectIds") List<String> projectIds);

    List<ProjectDataVo> getProjectStatuss(@Param("projectIds") List<String> projectIds);

    // ----      The End by Generator     ----//

}
