/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.DwTestPoint;
import net.northking.cctp.dw.db.entity.MtTestPointStatistics;
import net.northking.cctp.dw.db.mapper.MtTestPointStatisticsMapper;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtTestPointStatisticsDetailDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：需求分析统计图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface MtTestPointStatisticsDao extends MtTestPointStatisticsMapper {

    List<MtTestPointStatisticsDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto);

    Integer syncPointNotice(DwTestPoint dwTestPoint);

    Integer deleteByExampleByProjectIds(MtTestPointStatistics mtTestPointStatistics);
}
