/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.BugTendencyChartTmp;
import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.dto.BugTendencyChartTmpDetailDto;
import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;

import java.util.List;

/**
 * 缺陷趋势信息临时表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface BugTendencyChartTmpService extends BasicService<BugTendencyChartTmp>
{
    List<BugTendencyChartTmpDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto, List<String> statusList);

    void insertBatch(List<SynBugInfo> dataList,String tenantId);

    void deleteData(List<SynBugInfo> dataList, String date, String tenantId);

// ----      The End by Generator     ----//

}
