/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.DwAtuScriptInfo;
import net.northking.cctp.dw.dto.atu.DwAtuScriptInfoDetailDto;
import net.northking.cctp.dw.dto.atu.DwAtuScriptInfoQueryDto;

import java.util.List;

/**
 * 脚本信息同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-25 11:15:20  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface DwAtuScriptInfoService extends BasicService<DwAtuScriptInfo>
{
    List<DwAtuScriptInfoDetailDto> countByGroup(DwAtuScriptInfoQueryDto query);


// ----      The End by Generator     ----//

}
