drop table if exists cp_knowledge_info;

CREATE TABLE `cp_knowledge_info` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `knowledge_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '条目名称',
  `memo` varchar(300) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '描述',
  `node_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '树节点id',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='知识库条目信息表';