DROP TABLE if exists saas_app_resource;

CREATE TABLE `saas_app_resource` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `micro_service_id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '微服务',
  `app_name` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '微服务名称 冗余',
  `resource_name` varchar(128) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源名称',
  `resource_memo` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '详细描述',
  `http_method` varchar(16) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '访问类型',
  `http_url` varchar(128) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源地址',
  `authority` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '权限',
  `is_enabled` tinyint(1) DEFAULT '1' COMMENT '是否启用',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='SaaS应用服务资源';

