drop table if exists saas_tenant_menu;

CREATE TABLE `saas_tenant_menu` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  `software_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '软件id',
  `func_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '功能id',
  `func_name` varchar(128) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '功能名称',
  `origin_func_name` varchar(128) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '原来功能名称',
  `parent_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '父节点',
  `idx` int(3) DEFAULT NULL COMMENT '顺序号',
  `level_no` int(2) DEFAULT NULL COMMENT '层级',
  `is_leaf` tinyint(1) DEFAULT NULL COMMENT '是否叶子',
  `path` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '路径',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='租户菜单配置';