/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.executePlan.db.entity.AtuPlanBatch;

/**
 * Mybatis数据库持久层（底层）：计划执行批次表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-10-11 20:31:24  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanBatchMapper extends BasicDao<AtuPlanBatch>
{
  String EntityName = "AtuPlanBatch";

  String COLUMN_id = "id";
  String COLUMN_planId = "plan_id";
  String COLUMN_batch = "batch";
  String COLUMN_status = "status";
  String COLUMN_startTime = "start_time";
  String COLUMN_endTime = "end_time";
  String COLUMN_taskTotal = "task_total";
  String COLUMN_successNum = "success_num";
  String COLUMN_execFailNum = "exec_fail_num";
  String COLUMN_assertFailNum = "assert_fail_num";
  String COLUMN_timeoutNum = "timeout_num";
  String COLUMN_cancelNum = "cancel_num";
  String COLUMN_successRate = "success_rate";
  String COLUMN_createdTime = "created_time";
  String COLUMN_executedBy = "executed_by";
  String COLUMN_triggerType = "trigger_type";
  String COLUMN_scriptNum = "script_num";
  String COLUMN_perDataPath = "per_data_path";

}
