/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.executePlan.db.entity.AtuPlanEnvLink;

import java.util.List;

/**
 * 计划环境关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-30 10:30:29  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface AtuPlanEnvLinkService extends BasicService<AtuPlanEnvLink>
{
    /**
     * 根据计划id查询绑定的环境id集合并根据排序值排序
     * @param planId 计划ID
     * @return 环境id集合
     */
    List<String> queryEnvIdByPlanIdOderBySort(String planId);

    Integer insertLinkList(List<AtuPlanEnvLink> list);


}
