package net.northking.cctp.executePlan.dto.planSceneCase;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * <p>Title: SceneFirstNodeDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/09/04
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

@Data
public class SceneFirstNodeDto implements Serializable {

    @ApiModelProperty("计划执行任务号")
    private String taskId;

    @ApiModelProperty("用例Id")
    private String caseId;

    @ApiModelProperty("脚本id")
    private String scriptId;

    @ApiModelProperty("脚本Url")
    private String sceneScriptUrl;

    @ApiModelProperty("用例参数")
    private Map<String, Object> paramMap;
}
