/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.dao;

import net.northking.cctp.device.db.entity.CdDeviceModel;
import net.northking.cctp.device.db.mapper.CdDeviceModelMapper;
import net.northking.cctp.device.dto.model.CdDeviceModelDetailDto;
import net.northking.cctp.device.dto.model.CdDeviceModelQueryDto;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 设备型号管理表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-13 09:48:56  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CdDeviceModelDao extends CdDeviceModelMapper
{
    List<CdDeviceModelDetailDto> pageQuery(CdDeviceModelQueryDto dto);
  // ----      The End by Generator     ----//
    Integer checkOnlyModel(CdDeviceModel cdDeviceModel);

    List<Map<String, String>> getDeviceConditionWithStatus(Map<String, Object> queryMap);
}
