/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.flowable.api.sm;

import io.swagger.annotations.Api;
import net.northking.cctp.flowable.api.sm.service.StateProcessDefApiService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.*;

/**
 * 状态流程实例
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
@Api(tags = "状态流程实例")
@RequestMapping("/v1")
@RestController
public class StateProcessInstanceCtrl
{
  /**
   * 资源名称
   */
  private static final String RESOURCE_NAME = "/instance/sp";
  /**
   * 日志
   */
  private final static Logger logger = LoggerFactory.getLogger(StateProcessInstanceCtrl.class);

  private StateProcessDefApiService apiService;



}
