/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.SynBugInfo;
import net.northking.cctp.dw.db.mapper.BugValidRepairRatioMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：缺陷有效率和修复率
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 11:01:46  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface BugValidRepairRatioDao extends BugValidRepairRatioMapper
{
    void addBatch(@Param("dataList") List<SynBugInfo> dataList, @Param("tenantId") String tenantId);

    void deleteData(@Param("dataList") List<SynBugInfo> dataList, @Param("tenantId") String tenantId);

    // ----      The End by Generator     ----//

}
