/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.MtLeafDesignDao;
import net.northking.cctp.dw.db.service.MtLeafDesignService;
import net.northking.cctp.dw.db.entity.MtLeafDesign;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.MtLeafDesignDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 叶子节点当日新增用例数据
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-21 16:29:21  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtLeafDesignServiceImpl")
public class MtLeafDesignServiceImpl extends PaginationService<MtLeafDesign> implements MtLeafDesignService
{
private static final Logger logger = LoggerFactory.getLogger(MtLeafDesignServiceImpl.class);

  private final MtLeafDesignDao mtLeafDesignDao;

  public MtLeafDesignServiceImpl(MtLeafDesignDao mtLeafDesignDao) {this.mtLeafDesignDao = mtLeafDesignDao;}

  public BasicDao<MtLeafDesign> getDao() {return mtLeafDesignDao;}

  public MtLeafDesign createEntity() { return new MtLeafDesign();}

  @Override
  protected void beforeInsert(MtLeafDesign mtLeafDesign) {

  }

  @Override
  protected void beforeUpdate(MtLeafDesign mtLeafDesign) {

  }

  @Override
  public List<MtLeafDesignDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto) {
    return mtLeafDesignDao.listQuery(chartDataGeneQueryDto);
  }


// ----      The End by Generator     ----//




}

