package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.dw.dto.UIDwAtuScriptInfoQueryDto;
import net.northking.cctp.dw.dto.ValidScriptDTO;
import net.northking.cctp.dw.dto.atu.DwAtuScriptInfoDto;

import java.util.List;

public interface UIDwAtuStatisticsService {
    Pagination<DwAtuScriptInfoDto> pageQuery(QueryByPage<UIDwAtuScriptInfoQueryDto> queryByPage);

    /**
     * ATS获取UI自动化脚本编写明细信息
     *
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return UI自动化脚本编写明细信息
     */
    List<ValidScriptDTO> queryScriptDetail(String startTime, String endTime);
}
