/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.dao;

import net.northking.cctp.platform.db.entity.CpComponentLibrary;
import net.northking.cctp.platform.db.entity.CpComponentList;
import net.northking.cctp.platform.db.mapper.CpComponentLibraryMapper;
import net.northking.cctp.platform.dto.comlibrary.CpComLibraryTree;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：平台组件库
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-08-29 10:24:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface CpComponentLibraryDao extends CpComponentLibraryMapper
{
    List<CpComLibraryTree> queryLibraryListTree(CpComponentLibrary libQuery);

    List<CpComponentLibrary> queryRecordList(CpComponentList entity);

    List<CpComponentLibrary> queryLibListByNames(List<String> list);
}
