drop table if exists cp_rule_collection;

CREATE TABLE `cp_rule_collection` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '主键',
  `name` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '规则集合名称',
  `memo` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '规则集合描述',
  `rule_type` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '1项目级  2平台级',
  `is_default` tinyint(1) DEFAULT '0' COMMENT '是否默认 1是 0否',
  `is_deleted` tinyint(1) DEFAULT NULL COMMENT '逻辑删除（0-否 1-是）',
  `created_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修改人',
  `updated_time` datetime DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='规则集合信息';