truncate saas_app_resource;

/*==============================================================*/
/* 平台微服务的资源 cctp-platform                                  */
/*==============================================================*/
insert into saas_app_resource(id,micro_service_id,app_name,resource_name,http_method,http_url,authority) values
('2b438c9324ef508bb2a5548bbe5eb93d','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/dict-catalogs','Authority'),
('5b00636e19b6c283a981cd8d15e69e93','cctp-platform','cctp-platform','新增：字典目录','POST','/v1/dict-catalogs','Authority'),
('b3bd93ffdedfef15e4f025e102d356c0','cctp-platform','cctp-platform','更新：字典目录','PUT','/v1/dict-catalogs','Authority'),
('58fa79779a2dcba53454c8a31ec6a5cb','cctp-platform','cctp-platform','删除：字典目录','DELETE','/v1/dict-catalogs/{uuid}','Authority'),
('358cae86a0225f23033fa002bbbaee78','cctp-platform','cctp-platform','获取：字典目录','GET','/v1/dict-catalogs/{uuid}','Authority'),
('7db67a1c102f60e10043bc556c4f846c','cctp-platform','cctp-platform','批量修改：字典条目','POST','/v1/batch/dict-items/update','Authority'),
('2c05750ec3361598bb0f33aef8878362','cctp-platform','cctp-platform','批量删除：字典条目','POST','/v1/batch/dict-items/delete','Authority'),
('7abe7c98db1ae9d27ac1be8520a5609a','cctp-platform','cctp-platform','批量新增：字典条目','POST','/v1/batch/dict-items/insert','Authority'),
('da05b51217ade3f720200254b2d8d2f6','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/dict-items','Authority'),
('53709f4b9183d385d424b75d80455be2','cctp-platform','cctp-platform','新增：字典条目','POST','/v1/dict-items','Authority'),
('9248f46f6b6e2505ab4a3ca49c8408b6','cctp-platform','cctp-platform','更新：字典条目','PUT','/v1/dict-items','Authority'),
('9ad23627f232fc0f427269c07d8b8349','cctp-platform','cctp-platform','删除：字典条目','DELETE','/v1/dict-items/{uuid}','Authority'),
('789e35ad5d1f87e0193a664b3f446e85','cctp-platform','cctp-platform','获取：字典条目','GET','/v1/dict-items/{uuid}','Authority'),
('db9db75449a518a65052faaefa134d60','cctp-platform','cctp-platform','导出Excel','POST','/v1/excel/export/funcs','Authority'),
('037d1c4c5a56e8a7eae4036b7db5beeb','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/funcs','Authority'),
('e2013bf20c29dace023d6c0f2c2064a1','cctp-platform','cctp-platform','导入Excel','POST','/v1/excel/import/funcs','Authority'),
('bbefe9d1c8a7904d8a2938fb6e151a4c','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/func-resource','Authority'),
('228410f409e9a0a3007d21d53b2e32ec','cctp-platform','cctp-platform','新增：功能与资源关系','POST','/v1/func-resource','Authority'),
('22e1d5aabd778a098462e41edaa7166b','cctp-platform','cctp-platform','更新：功能与资源关系','PUT','/v1/func-resource','Authority'),
('d94ca76d9d65dab868be28a682004ce9','cctp-platform','cctp-platform','删除：功能与资源关系','DELETE','/v1/func-resource/{uuid}','Authority'),
('3961cd38c9a42addfef5cc0ecd93d059','cctp-platform','cctp-platform','获取：功能与资源关系','GET','/v1/func-resource/{uuid}','Authority'),
('7f505f60c934d9f8c1fc2f88184d2abd','cctp-platform','cctp-platform','新增：系统功能','POST','/v1/funcs','Authority'),
('80c37d8ef1b0d298147ec1039e7bd6fe','cctp-platform','cctp-platform','更新：系统功能','PUT','/v1/funcs','Authority'),
('55b1db0ccee4011d30dbd4f0a077573f','cctp-platform','cctp-platform','删除：系统功能','DELETE','/v1/funcs/{uuid}','Authority'),
('3cea85da1586095abec8665e5d54021e','cctp-platform','cctp-platform','获取：系统功能','GET','/v1/funcs/{uuid}','Authority'),
('39e2ea49e2f7b8696ca218f50c699865','cctp-platform','cctp-platform','获取普通导航栏菜单','GET','/v1/nav','Authority'),
('69e7e760137e350cff5efb06352690d6','cctp-platform','cctp-platform','获取特殊导航栏菜单','GET','/v1/nav/{type}/{owner}','Authority'),
('bae0284139d028ebac8b1ba8211d9faa','cctp-platform','cctp-platform','重置密码','GET','/v1/security/pwd-reset/{userId}','Authority'),
('91d055eab3edb84928ee4fdbdcea7db9','cctp-platform','cctp-platform','修改个人密码','POST','/v1/security/pwd-change','Authority'),
('76ae56b7f05a61bba3ff46fcb92e3486','cctp-platform','cctp-platform','退出登录','GET','/security/logout','Authority'),
('3670e0af72faae9d0d794698766bd2ee','cctp-platform','cctp-platform','获取待登录用户信息','GET','/security/account/{login_no}','Authority'),
('9c200ab5437e534a734a52fd1ad4dde7','cctp-platform','cctp-platform','平台登录','POST','/security/login','Authority'),
('0ba14175ba4dde8a5b932275de996c8c','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/orgs','Authority'),
('edab7ad068f22daf72d0360d4228ba84','cctp-platform','cctp-platform','新增：机构表','POST','/v1/orgs','Authority'),
('36c1d9e2631c9852effb5d917959931d','cctp-platform','cctp-platform','更新：机构表','PUT','/v1/orgs','Authority'),
('9e1548cb03c064b959d4876fd121c992','cctp-platform','cctp-platform','删除：机构表','DELETE','/v1/orgs/{uuid}','Authority'),
('29b0e2f8914f5aaa1024003737b2181e','cctp-platform','cctp-platform','获取：机构表','GET','/v1/orgs/{uuid}','Authority'),
('204b7d9720b2a3f9ba13d60a9d909cdc','cctp-platform','cctp-platform','导出Excel','POST','/v1/excel/export/resources','Authority'),
('400ab550288b9ae96d9e959fc471c055','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/resources','Authority'),
('72c7c9cef19c824582f76bbaa6cf20a3','cctp-platform','cctp-platform','导入Excel','POST','/v1/excel/import/resources','Authority'),
('be6f057686308d412353d66bd284d8d3','cctp-platform','cctp-platform','下载Excel模板','POST','/v1/excel/template/resources','Authority'),
('e7975aacb860f56ae938e6802baf428e','cctp-platform','cctp-platform','新增：平台资源','POST','/v1/resources','Authority'),
('5c68e970c24c178f436dd3113bcf7061','cctp-platform','cctp-platform','更新：平台资源','PUT','/v1/resources','Authority'),
('d9c7c4b5a9279bf1c921a70ff54d0c2d','cctp-platform','cctp-platform','删除：平台资源','DELETE','/v1/resources/{uuid}','Authority'),
('a8e43ae6fbc7406b023fcdb515868617','cctp-platform','cctp-platform','获取：平台资源','GET','/v1/resources/{uuid}','Authority'),
('5162747c428f4bfdd503ec5cdf377daa','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/role-func','Authority'),
('64acea3a64c76c4a2beceebac20db890','cctp-platform','cctp-platform','新增：角色功能关系','POST','/v1/role-func','Authority'),
('33a55336fcea9007bed882435fbb00ed','cctp-platform','cctp-platform','更新：角色功能关系','PUT','/v1/role-func','Authority'),
('99559ea1eab314614d3dd5f97eaa5ebc','cctp-platform','cctp-platform','删除：角色功能关系','DELETE','/v1/role-func/{uuid}','Authority'),
('340134021a4d2523f49b7f04e2bd3565','cctp-platform','cctp-platform','获取：角色功能关系','GET','/v1/role-func/{uuid}','Authority'),
('a4df4b7a8775077c358e099e1f48900c','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/roles','Authority'),
('3a29e20c88160032c732bf75c18c8f34','cctp-platform','cctp-platform','新增：角色表','POST','/v1/roles','Authority'),
('663ec3e5e6d52d88f734fc3a9e29a6f4','cctp-platform','cctp-platform','更新：角色表','PUT','/v1/roles','Authority'),
('fe2230d7768424a0af2a1e4e16c8c66b','cctp-platform','cctp-platform','删除：角色表','DELETE','/v1/roles/{uuid}','Authority'),
('00463ed7559b9cec58a5e2cd133321b3','cctp-platform','cctp-platform','获取：角色表','GET','/v1/roles/{uuid}','Authority'),
('0f2b4bde6a1f0084f597cd61a594fda7','cctp-platform','cctp-platform','分页查询列表','POST','/v1/paging/query/user-role','Authority'),
('e9eeb6f10c379b10fb52bc2dad26392c','cctp-platform','cctp-platform','新增：用户角色关系','POST','/v1/user-role','Authority'),
('461861068d0ade5bfac3179bba55c616','cctp-platform','cctp-platform','更新：用户角色关系','PUT','/v1/user-role','Authority'),
('1dccadc9e8d60786fc51911fafdb8df3','cctp-platform','cctp-platform','删除：用户角色关系','DELETE','/v1/user-role/{uuid}','Authority'),
('b80cb7536b31abd26febef9c2b5a7fbc','cctp-platform','cctp-platform','获取：用户角色关系','GET','/v1/user-role/{uuid}','Authority'),
('0d193fbf1639994125640f0cc998a2fb','cctp-platform','cctp-platform','分页查询用户列表','POST','/v1/paging/query/users','Authority'),
('cd22b38011b2229d28496efaf6c45bbd','cctp-platform','cctp-platform','新增：用户','POST','/v1/users','Authority'),
('c3d639407fddb5c16cb6a8bc97d5b533','cctp-platform','cctp-platform','更新：用户','PUT','/v1/users','Authority'),
('73972a1b83fbba9b0b325505b417ec5a','cctp-platform','cctp-platform','删除用户信息','DELETE','/v1/users/{uuid}','Authority'),
('0a5da63a45027bd080a81fb2e7b538ea','cctp-platform','cctp-platform','获取用户信息','GET','/v1/users/{uuid}','Authority');

commit;

/*==============================================================*/
/* 平台微服务的资源 cctp-saas                                  */
/*==============================================================*/
insert into saas_app_resource(id,micro_service_id,app_name,resource_name,http_method,http_url,authority) values
('8c9a6c70cb2f49c4bf57b89bae8a88fa','cctp-saas','cctp-saas','批量删除：微服务','POST','/v1/batch/micro-service/delete','Authority'),
('8db1f7873121a9d6d6458d31515a005a','cctp-saas','cctp-saas','批量修改：微服务','POST','/v1/batch/micro-service/update','Authority'),
('ab20d3ac1a2e4adec6206efb52240321','cctp-saas','cctp-saas','批量新增：微服务','POST','/v1/batch/micro-service/insert','Authority'),
('91cbdab27629cfe44ad547334385f777','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/micro-service','Authority'),
('46f3accf92652598473287f5bfe7cd74','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/micro-service','Authority'),
('4248ae812708bf476fed30940c71e73c','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/micro-service','Authority'),
('fac5d5421a5263e264443f77f2937737','cctp-saas','cctp-saas','部署：微服务','GET','/v1/deploy/micro-service/{uuid}','Authority'),
('8678976e341025c3a39e7d8665511093','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/micro-service','Authority'),
('69067314658f74977f7c55ba942913de','cctp-saas','cctp-saas','批量删除：SaaS应用服务资源','POST','/v1/batch/app-resources/delete','Authority'),
('4a0808bdd93c7a1fbe82ba20690aa4ab','cctp-saas','cctp-saas','批量修改：SaaS应用服务资源','POST','/v1/batch/app-resources/update','Authority'),
('c064ea82e11814482163fcce25869cb9','cctp-saas','cctp-saas','批量新增：SaaS应用服务资源','POST','/v1/batch/app-resources/insert','Authority'),
('0a98652284fd65e7b6670530f1da2206','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/app-resources','Authority'),
('df987adb1368aead1f4ac987f5636a31','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/app-resources','Authority'),
('67ad178c61111d27bb48c8bc5ac8d750','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/app-resources','Authority'),
('b5522c482d3ef091c7bf4f41396ffa73','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/app-resources','Authority'),
('e52b7f0af6c9deabec0ab7ec6a4e83eb','cctp-saas','cctp-saas','新增：SaaS应用服务资源','POST','/v1/app-resources','Authority'),
('fd807ffb8a6a4f25809ebed804b1ffb9','cctp-saas','cctp-saas','更新：SaaS应用服务资源','PUT','/v1/app-resources','Authority'),
('fc663d177d8537c363fa2792c9f8c60c','cctp-saas','cctp-saas','删除：SaaS应用服务资源','DELETE','/v1/app-resources/{uuid}','Authority'),
('1d71006ff37c76872e2659371e5d23f1','cctp-saas','cctp-saas','获取：SaaS应用服务资源','GET','/v1/app-resources/{uuid}','Authority'),
('c89e24c881f19349385af6e316ffaf1c','cctp-saas','cctp-saas','新增：微服务','POST','/v1/micro-service','Authority'),
('561533a82d05b66530dbcf6731d14bdf','cctp-saas','cctp-saas','更新：微服务','PUT','/v1/micro-service','Authority'),
('d472c2f25a3e4f6962f89add4e858819','cctp-saas','cctp-saas','删除：微服务','DELETE','/v1/micro-service/{uuid}','Authority'),
('82c404d8661fb382116572dbe553f86a','cctp-saas','cctp-saas','获取：微服务','GET','/v1/micro-service/{uuid}','Authority'),
('b114860100e30afa074525ea853adc21','cctp-saas','cctp-saas','批量删除：微服务与数据源关系','POST','/v1/batch/app-datasource/delete','Authority'),
('d1951a80bb6436a1762063ddb9990c97','cctp-saas','cctp-saas','批量修改：微服务与数据源关系','POST','/v1/batch/app-datasource/update','Authority'),
('2916af84671bb2cad8d3e8a32edb1659','cctp-saas','cctp-saas','批量新增：微服务与数据源关系','POST','/v1/batch/app-datasource/insert','Authority'),
('2584ca7a0711b2453af4cccbc7b40df3','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/app-datasource','Authority'),
('8ddf1673aa1f487183655037b601ce41','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/app-datasource','Authority'),
('03ea69faa6cae11c954deb3473582e1e','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/app-datasource','Authority'),
('59f7f85e9b5e81c44893c95b28447a37','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/app-datasource','Authority'),
('01834544032e663459118cae275919ad','cctp-saas','cctp-saas','新增：微服务与数据源关系','POST','/v1/app-datasource','Authority'),
('275e3651982e29f565bd713d78862d05','cctp-saas','cctp-saas','更新：微服务与数据源关系','PUT','/v1/app-datasource','Authority'),
('6a3b7d82ce4fc2da2259f0d6191aa0c9','cctp-saas','cctp-saas','删除：微服务与数据源关系','DELETE','/v1/app-datasource/{uuid}','Authority'),
('7ab627f202bc72c839e2a6bf0a6b8baf','cctp-saas','cctp-saas','获取：微服务与数据源关系','GET','/v1/app-datasource/{uuid}','Authority'),
('e6c8423b4e41610ec2cbed2966e041ae','cctp-saas','cctp-saas','批量删除：数据库节点','POST','/v1/batch/data-source/delete','Authority'),
('51c350e2a0489b838ba55e09e7a24388','cctp-saas','cctp-saas','批量修改：数据库节点','POST','/v1/batch/data-source/update','Authority'),
('6bbe748d84df7616b851dae0b82b8853','cctp-saas','cctp-saas','批量新增：数据库节点','POST','/v1/batch/data-source/insert','Authority'),
('acd788c3c36f20dd44bcbe94dd974515','cctp-saas','cctp-saas','批量删除：数据库集群','POST','/v1/batch/data-source-cluster/delete','Authority'),
('dd77de60f177eb8674d41f7dbfa0c82b','cctp-saas','cctp-saas','批量修改：数据库集群','POST','/v1/batch/data-source-cluster/update','Authority'),
('1ab465f477b1c661f9842195d60ee9fd','cctp-saas','cctp-saas','批量新增：数据库集群','POST','/v1/batch/data-source-cluster/insert','Authority'),
('40247f7fe69c8adc21e54b0d8ebbf8aa','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/data-source-cluster','Authority'),
('a4b7967071433daa63d2301256543379','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/data-source-cluster','Authority'),
('9b640a59c2141767aea35025a84efdb1','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/data-source-cluster','Authority'),
('316298995bf31d23cf40e6cabb62c430','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/data-source-cluster','Authority'),
('d3aa24bd90753a93014c29441000724a','cctp-saas','cctp-saas','某软件的可选数据源','GET','/v1/selection/software-datasource','Authority'),
('466f3118c116da896b18d61e69d88251','cctp-saas','cctp-saas','新增：数据库集群','POST','/v1/data-source-cluster','Authority'),
('df132cc5654cad6bd7555b03df7fdb86','cctp-saas','cctp-saas','更新：数据库集群','PUT','/v1/data-source-cluster','Authority'),
('dc662e393a187549055b034bcd392092','cctp-saas','cctp-saas','删除：数据库集群','DELETE','/v1/data-source-cluster/{uuid}','Authority'),
('0428287fb7af77e8441b192b088d5ef8','cctp-saas','cctp-saas','获取：数据库集群','GET','/v1/data-source-cluster/{uuid}','Authority'),
('63029f33049f08b88a393056a0981160','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/data-source','Authority'),
('7542be4b38d25148d4ab312f5515c6e9','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/data-source','Authority'),
('ae53a114032117ac8b468d0bbe3fb50c','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/data-source','Authority'),
('8abe8743ae09c338ffd5ebaa22ee5170','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/data-source','Authority'),
('51881ac6ade2df51f87426f9ee3fefb9','cctp-saas','cctp-saas','新增：数据库节点','POST','/v1/data-source','Authority'),
('675b3f554c195e117275bcd6c1853c6b','cctp-saas','cctp-saas','更新：数据库节点','PUT','/v1/data-source','Authority'),
('f67fdabc5f0b86bd2c52e926b1b9abc9','cctp-saas','cctp-saas','删除：数据库节点','DELETE','/v1/data-source/{uuid}','Authority'),
('fcfa8d2ec835c2856f34974625a0c251','cctp-saas','cctp-saas','获取：数据库节点','GET','/v1/data-source/{uuid}','Authority'),
('e99f4541b15aaff29e5ef2208bdc63d6','cctp-saas','cctp-saas','批量删除：功能资源关系','POST','/v1/batch/func-resource/delete','Authority'),
('b8335ad849e76faeb85a5f089ecb6202','cctp-saas','cctp-saas','批量修改：功能资源关系','POST','/v1/batch/func-resource/update','Authority'),
('d86807767f4b257de812b7c0aec984cb','cctp-saas','cctp-saas','批量新增：功能资源关系','POST','/v1/batch/func-resource/insert','Authority'),
('d02405e3fc20cf8d2af91db0a265b1e4','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/func-resource','Authority'),
('5d7a8c213579580cfad1c5e0f70a4283','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/func-resource','Authority'),
('18c6dd14be7e25f12be4c2aed5cb9141','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/func-resource','Authority'),
('d20b947f4e0a00123d0d6ab1b78752a4','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/func-resource','Authority'),
('b9e2fce4a6230cc148e050bb4a3022d5','cctp-saas','cctp-saas','新增：功能资源关系','POST','/v1/func-resource','Authority'),
('641c8839079c43cfdcd57d28412ef94b','cctp-saas','cctp-saas','更新：功能资源关系','PUT','/v1/func-resource','Authority'),
('f2cc957c5e3cc6e593e9a5bcb8193eec','cctp-saas','cctp-saas','删除：功能资源关系','DELETE','/v1/func-resource/{uuid}','Authority'),
('2369e787a8b5c89f529e763f62ebbcf6','cctp-saas','cctp-saas','获取：功能资源关系','GET','/v1/func-resource/{uuid}','Authority'),
('5a274b874efdd32f5eaad9f05abcf5be','cctp-saas','cctp-saas','批量删除：SaaS软件','POST','/v1/batch/software/delete','Authority'),
('40d5450e819afb68fe7052c4592360a9','cctp-saas','cctp-saas','批量修改：SaaS软件','POST','/v1/batch/software/update','Authority'),
('03743cdea66397fd6af9614976340814','cctp-saas','cctp-saas','批量新增：SaaS软件','POST','/v1/batch/software/insert','Authority'),
('4347b7c2ac0f74e65d63f87820a7096b','cctp-saas','cctp-saas','批量删除：软件功能定义','POST','/v1/batch/software-func/delete','Authority'),
('7b0b6e88e7b15c6533aa3ef95c2b118c','cctp-saas','cctp-saas','批量修改：软件功能定义','POST','/v1/batch/software-func/update','Authority'),
('175bf4a7a233a09fe36c3e801a336d73','cctp-saas','cctp-saas','批量新增：软件功能定义','POST','/v1/batch/software-func/insert','Authority'),
('c31461e222bb34bd4026c0186f9a87d8','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/software-func','Authority'),
('8377a240beafe6dcaf55e0fe563190af','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/software-func','Authority'),
('21cfea4e02646820e463aa8a7cef8a10','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/software-func','Authority'),
('b54caeee15107e9e55196e43125dce97','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/software-func','Authority'),
('bcc6e3e3587d112d28340b5b00554c8e','cctp-saas','cctp-saas','新增：软件功能定义','POST','/v1/software-func','Authority'),
('1dabdf9c42f8393ae485f831f719c3be','cctp-saas','cctp-saas','更新：软件功能定义','PUT','/v1/software-func','Authority'),
('1b7f3ba5e14f3616ab5f96ff170e13b1','cctp-saas','cctp-saas','删除：软件功能定义','DELETE','/v1/software-func/{uuid}','Authority'),
('b955739d6ec2a2dcc854d8c74a3d909c','cctp-saas','cctp-saas','获取：软件功能定义','GET','/v1/software-func/{uuid}','Authority'),
('9b6541d2864baaf6279b737ae98c5055','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/software','Authority'),
('dda76d331871b6de81aa213110cacf10','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/software','Authority'),
('f9883c0a8d392fe74f32a36610ddfa5d','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/software','Authority'),
('515d5aad57e980d7fc9ed4301c64dd7e','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/software','Authority'),
('1f690c8d8566bf4ef8d792b23e1619a6','cctp-saas','cctp-saas','新增：SaaS软件','POST','/v1/software','Authority'),
('eda90b451368da673058e8b18b1eee88','cctp-saas','cctp-saas','更新：SaaS软件','PUT','/v1/software','Authority'),
('9888dbc7420719fc1604154def3afdf7','cctp-saas','cctp-saas','删除：SaaS软件','DELETE','/v1/software/{uuid}','Authority'),
('f926dcd204b34a3d14cd74809b80277f','cctp-saas','cctp-saas','获取：SaaS软件','GET','/v1/software/{uuid}','Authority'),
('372e1bb24625e20195e25a411424fc97','cctp-saas','cctp-saas','批量删除：租户','POST','/v1/tenants/delete','Authority'),
('b6ea25d05c7e35c740aa520f1a8e91d9','cctp-saas','cctp-saas','批量修改：租户','POST','/v1/tenants/update','Authority'),
('947c537c438ce6c2386501b858383d88','cctp-saas','cctp-saas','批量新增：租户','POST','/v1/tenants/insert','Authority'),
('96374236af4c1e9aa7e967fef6a0c8ce','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/tenants','Authority'),
('4dcd13748c734a1a1ac960c1a07d39d5','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/tenants','Authority'),
('4e9d49bc02120d10e2a04f82bfb60d56','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/tenants','Authority'),
('7e339a9852c2c369e1cd99f89cd9d477','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/tenants','Authority'),
('f3899c1f5b9b0304bfce4a0ea53311f6','cctp-saas','cctp-saas','新增：租户','POST','/v1/tenants','Authority'),
('37b4b9bf50b84464ca8db00e84071f16','cctp-saas','cctp-saas','更新：租户','PUT','/v1/tenants','Authority'),
('d4f022115709c28f1c91675ef1c0320a','cctp-saas','cctp-saas','删除：租户','DELETE','/v1/tenants/{uuid}','Authority'),
('70bf1bdab1879387fccc4b44f7703868','cctp-saas','cctp-saas','获取：租户','GET','/v1/tenants/{uuid}','Authority'),
('bf2040cfebf250d8b41a8710f82610f5','cctp-saas','cctp-saas','批量删除：租户软件服务','POST','/v1/tenant-software/delete','Authority'),
('badd9e2a45b6aafac6f22c7bb7864e09','cctp-saas','cctp-saas','批量修改：租户软件服务','POST','/v1/tenant-software/update','Authority'),
('8816d309a84e387bda33baa3829ccecf','cctp-saas','cctp-saas','批量新增：租户软件服务','POST','/v1/tenant-software/insert','Authority'),
('8ef2f6524da66c95850fb61c44388527','cctp-saas','cctp-saas','批量删除：租户软件功能定义','POST','/v1/batch/tenant-software-func/delete','Authority'),
('8e74d42ad87ac966b5aa9b48adcf50f1','cctp-saas','cctp-saas','批量修改：租户软件功能定义','POST','/v1/batch/tenant-software-func/update','Authority'),
('5ca2882fbd23dd981b1206741630f9a1','cctp-saas','cctp-saas','批量新增：租户软件功能定义','POST','/v1/batch/tenant-software-func/insert','Authority'),
('768e9a270f0507f4b2683813b3a69022','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/tenant-software-func','Authority'),
('71844c30317db25a6f2df929ec5faff9','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/tenant-software-func','Authority'),
('9d5e907a8b692fd291d9b27b9f0da5f7','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/tenant-software-func','Authority'),
('e659cb70092ff4d77d6a8c41d5e9e1bc','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/tenant-software-func','Authority'),
('5e79c4ef491c3d1a3d2bc208f5ce8775','cctp-saas','cctp-saas','新增：租户软件功能定义','POST','/v1/tenant-software-func','Authority'),
('fdb11c5f8c26a702a124d133c69e8816','cctp-saas','cctp-saas','更新：租户软件功能定义','PUT','/v1/tenant-software-func','Authority'),
('0efda4767598872a6437da77a4638a52','cctp-saas','cctp-saas','删除：租户软件功能定义','DELETE','/v1/tenant-software-func/{uuid}','Authority'),
('4c62cc0cde6da35f4efa89f54a012941','cctp-saas','cctp-saas','获取：租户软件功能定义','GET','/v1/tenant-software-func/{uuid}','Authority'),
('4968b5ea62907cfe12c4195c2ef926b1','cctp-saas','cctp-saas','导出Excel','POST','/v1/excel/export/tenant-software','Authority'),
('2608415150683fec8268bf6dd64e1218','cctp-saas','cctp-saas','下载Excel模板','POST','/v1/excel/template/tenant-software','Authority'),
('60c398082c9a0fe4aa44531a3736db88','cctp-saas','cctp-saas','导入Excel','POST','/v1/excel/import/tenant-software','Authority'),
('0ae3bd2bbb202e83007af45e421a3b0b','cctp-saas','cctp-saas','部署：租户软件服务','GET','/v1/deploy/tenant-software/{uuid}','Authority'),
('0c08e22de1159d07a4d95bd3918eba33','cctp-saas','cctp-saas','分页查询列表','POST','/v1/paging/query/tenant-software','Authority'),
('cfe8c639323f99451994bd0611302bd8','cctp-saas','cctp-saas','新增：租户软件服务','POST','/v1/tenant-software','Authority'),
('4a5f9dd2311315f768ba2333881e2abf','cctp-saas','cctp-saas','更新：租户软件服务','PUT','/v1/tenant-software','Authority'),
('950cea77140262b7ed7dab40dbfb0c31','cctp-saas','cctp-saas','删除：租户软件服务','DELETE','/v1/tenant-software/{uuid}','Authority'),
('efd327a3da19de78f5669e77aa78631f','cctp-saas','cctp-saas','获取：租户软件服务','GET','/v1/tenant-software/{uuid}','Authority');

commit;
